extends Control

class_name BaseCard

@export var behaviors = []

@export var title = ""

func _ready() -> void:
	for behavior in behaviors:
		$Behaviors.add_child(behavior.instantiate())

func activate(world, activator):
	for behavior in $Behaviors.get_children():
		behavior.activate(world, activator)
	
